pub mod passport;

use passport::Passport;

const INPUT: &str = include_str!("../../../data/day4/input");

fn main() {
	let passports = Passport::parse_list(INPUT);
	let all_required_fields: Vec<_> = passports.iter().filter(|p| p.require_all_but_country_id()).collect();
	println!("Required fields Passports: {}", all_required_fields.len());
	let valid: Vec<_> = passports.iter().filter(|p| p.valid()).collect();
	println!("Valid Passports: {}", valid.len());
}
